## node-get 1.1.0+ds1

=== debian/changelog ===
node-get (1.1.0+ds1-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Fri, 28 Oct 2011 00:01:36 +0200

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=get \
	http://registry.npmjs.org/get/-/get-(\d+.*)\.tgz

## node-get 1.1.2+ds1

=== Makefile ===
#
# Run all tests
#

ifndef only
test:
	./node_modules/.bin/expresso -I lib test/*.test.js
else
test:
	rm -rf test_data/files_*
	./node_modules/.bin/expresso -I lib test/${only}.test.js
endif

lint:
	./node_modules/.bin/jshint lib/node-get/*.js

doc:
	./node_modules/.bin/docco lib/node-get/*.js bin/node-get-file.js

.PHONY: test

=== debian/changelog ===
node-get (1.1.2+ds1-1) unstable; urgency=low

  * New upstream version
  * Fixed debian/watch to mangle Debian version

 -- David Paleino <dapal@debian.org>  Sat, 31 Dec 2011 11:55:38 +0100

=== debian/control ===
Source: node-get
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: http://search.npmjs.org/#/get
Vcs-Git: git://git.debian.org/collab-maint/node-get.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-get.git;a=summary

Package: node-get
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: high-level HTTP client for NodeJS
 node-get is a high-level HTTP client for the NodeJS framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_build:
override_dh_auto_test:
	# do nothing

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGELOG.md

get-orig-source:
	uscan \
		--verbose \
		--force-download \
		--download-version $(UPVER) \
		--destdir . \
		--rename
	tar xvf node-get_$(UPVER).orig.tar.gz
	# remove embedded third-party modules
	rm -rf package/modules/
	# remove unused big test data
	rm -rf package/test_data/
	tar cf node-get_$(UPVER)+ds1.orig.tar package/
	gzip -9 node-get_$(UPVER)+ds1.orig.tar
	rm -rf package/ node-get_$(UPVER).orig.tar.gz

## node-get 1.1.5+ds1

=== debian/changelog ===
node-get (1.1.5+ds1-2) unstable; urgency=low

  [ Andrew Harvey ]
  * Add new patch to use nodejs binary as per CTTE #614907
    (Closes: #686898)
  * Add new patch to use system path within example script

  [ David Paleino ]
  * Standards-Version bump to 3.9.4, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 20 Sep 2012 12:05:27 +0200

node-get (1.1.5+ds1-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 22:17:17 +0200

node-get (1.1.4+ds1-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Update debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 21:40:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://search.npmjs.org/#/get
 Vcs-Git: git://git.debian.org/collab-maint/node-get.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-get.git;a=summary
@@ -15,6 +15,6 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6.19~dfsg1-3)
 Description: high-level HTTP client for NodeJS
  node-get is a high-level HTTP client for the NodeJS framework.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifndef UPVER
 UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
+endif
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://alioth.debian.org/~dapal/npmjs.php?id=get \
	http://registry.npmjs.org/get/-/get-(\d+.*)\.tgz

## node-get 1.4.0

=== Makefile ===
#
# Run all tests
#

test:
	@mocha -R spec

lint:
	./node_modules/.bin/jshint lib/node-get/*.js

doc:
	./node_modules/.bin/docco lib/node-get/*.js bin/node-get-file.js

.PHONY: test

=== debian/changelog ===
node-get (1.4.0-4) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * debian/watch
    * Fix filenamemangle
    * Fix GitHub tags regex
    * Use /tags instead of /releases
  * Use dh-sequence-nodejs instead of pkg-js-tools

 -- Yadd <yadd@debian.org>  Mon, 01 Nov 2021 12:00:52 +0100

node-get (1.4.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Sep 2021 10:31:55 +0100

node-get (1.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + node-get: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 Aug 2021 20:53:22 +0100

node-get (1.4.0-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Change section to javascript
  * Change priority to optional
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Update VCS fields to salsa
  * Update debian/watch
  * New upstream version 1.4.0
  * Remove old patches
  * Switch install to pkg-js-tools
  * Enable some upstream tests
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Sep 2019 07:07:35 +0200

=== debian/control ===
Source: node-get
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13)
 , mocha <!nocheck>
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-get
Vcs-Git: https://salsa.debian.org/js-team/node-get.git
Homepage: https://github.com/mapbox/node-get

Package: node-get
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Multi-Arch: foreign
Description: high-level HTTP client for NodeJS
 node-get is a high-level HTTP client for the NodeJS framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-get/usr/share/nodejs/get/bin/node-get-file.js

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-get-$1/ \
 https://github.com/mapbox/node-get/tags .*/archive/.*/v?([\d\.]+).tar.gz
